Browsing articles tagged with "rpm - Admins Goodies"
Dec 26, 2012
tom

Running program that you just installed with rpm

I’ve just downloaded pgadmin from : http://yum.postgresql.org/repopackages.php#pg92 and I’ve installed it : rpm -ivh pgdg-centos92-9.2-6.noarch.rpm How do I open it? where can I find it or do I need some additional steps? Asked by London That rpm just contains the files for adding the postgresql 9.2 repo to CentOS. You will need to download and install the relevant package. A bit of digging suggests that the package you want is pgadmin3_92 so yum install pgadmin3_92 […]

Continue Reading »
Dec 19, 2012
tom

Specifying a source in puppet doesn’t seem to work

I have been attempting to create a manifest for installing postgres 9.1 using puppet on a Centos 5 server. I have been trying to adapt the instructions at http://wiki.postgresql.org/wiki/YUM_Installation in order to achieve this and when I go through a manual process, I have been able to. It would seem to me therefore that a puppet manifest containing package { ‘postgresql91-server’: ensure => installed, source => ‘http://yum.postgresql.org/9.1/redhat/rhel-5-x86_64/pgdg-centos91-9.1-4.noarch.rpm’ } however on attempting to apply this manifest […]

Continue Reading »
Dec 17, 2012
tom

Installing mysqlnd for php 5.4.9 on CentOs 6.3

Okay let me get straight to the point, I am a complete noob, and have never done stuff like this at all, I have read tutorial after tuorial but I cant get anything to work. When I tried to install the rpm file I got this error rpm -Uvh ftp://ftp.pbone.net/mirror/rpms.famillecollet.com/enterprise/6/test/x86_64/php-mysqlnd-5.4.9-1.el6.remi.x86_64.rpm Retrieving ftp://ftp.pbone.net/mirror/rpms.famillecollet.com/enterprise/6/test/x86_64/php-mysqlnd-5.4.9-1.el6.remi.x86_64.rpm warning: /var/tmp/rpm-tmp.ez4vvd: Header V3 DSA/SHA1 Signature, key ID 00f97f56: NOKEY error: Failed dependencies: php-pdo(x86-64) = 5.4.9-1.el6.remi is needed by php-mysqlnd-5.4.9-1.el6.remi.x86_64 so I tried […]

Continue Reading »
Oct 23, 2012
tom

Which mirror should I use to download Kernel Xen 6.3?

I’m following this construction to install (version 4.1.2) on a CentOS 6.2 (x86_64) system. When I use this command yum install http://au1.mirror.crc.id.au/repo/kernel-xen-release-6-3.noarch.rpm I face this error: Loaded plugins: fastestmirror, security Loading mirror speeds from cached hostfile * base: ftp.sh.cvut.cz * extras: ftp.sh.cvut.cz * updates: ftp.sh.cvut.cz Setting up Install Process Cannot open: http://au1.mirror.crc.id.au/repo/kernel-xen-release-6-3.noarch.rpm. Skipping. Error: Nothing to do there is a third-party repository with some mirror list, but I don’t know if I could use them? […]

Continue Reading »
Aug 12, 2012
tom

Building RPM containing passwords

I have a couple of RPMs I’ve built to help us installing our servers. I have a problem, I want to somehow save the Apache and MySQL passwords in the RPM package so it will be set as a part of the installation. If anyone knows a way to do that, or have a better idea please share! Thanks! EDIT I need to be able to send an RPM to customers that will install the […]

Continue Reading »
Jul 29, 2012
tom

Upgrade mysql version

I am trying to upgrade mysql package to 5.5 on centos. (amazon image – ami-cc5af9a5) There is 5.1 version of mysql-libs that can not be uninstalled because postfix is dependent upon it. But I can not upgrade to 5.5 version unless I uninstall this 5.1 lib version of mysql. # rpm -qa | grep -i mysql mysql-libs-5.1.61-4.el6.x86_64# rpm -e mysql-libs-5.1.61-4.el6.x86_64 error: Failed dependencies: libmysqlclient.so.16()(64bit) is needed by (installed) postfix-2:2.6.6-2.2.el6_1.x86_64 libmysqlclient.so.16(libmysqlclient_16)(64bit) is needed by (installed) postfix-2:2.6.6-2.2.el6_1.x86_64 […]

Continue Reading »
Jul 11, 2012
tom

Roll back RPM package

Is there any way to roll back a single package from yum update. I’ve noticed that the rpm –rollback switch is depreciated in SL linux 6.2. There is also yum history however I would like to rollback one particular packages that it’s not working (libvirt) however it was updated with yum update command so I would have to revert all the other packages what is not desired. Thanks Asked by HTF With yum, you get […]

Continue Reading »
Jul 11, 2012
tom

Decompiling an RPM?

This is hopefully a simple question. Are there any tools out there to find out an enhanced description (beyond the normal rpm command) of the contents of an rpm, and possibly decompile it? We currently have an rpm from our company’s security team which is supposed to be used for centralized authentication on our linux servers. The issue is that they can’t supply source, and don’t have a documented list of all changes that are […]

Continue Reading »
Jun 30, 2012
tom

How to cutomise a CentOS iso to include my own rpm packages

Say I have downloaded a CentOS live desktop CD. How would I include my own rpm packages, so that they get installed automatically as soon as I boot with the live CD or have it permanently install in my system? Asked by JtheRocker CentOS have great documentation on how to use Kickstart files in order to achieve what you want. I don’t see the point in copy/pasting that entire page, so I’ll just link to […]

Continue Reading »
May 23, 2012
tom

yum trying to install el5 when I am on el6

When I run the following yum command I get this error: Package: git-1.7.10.1-1.el5.rf.x86_64 (rpmforge) Requires: libcurl.so.3()(64bit)” I read that this error is due to running an el5 rpmforge or having some el5 installed packages. How can I solve this problem? $ yum install git Loaded plugins: fastestmirror Loading mirror speeds from cached hostfile * base: centos.kiewel-online.ch * epel: fedora.kiewel-online.ch * extras: centos.kiewel-online.ch * rpmforge: mirror.de.leaseweb.net * updates: centos.kiewel-online.ch Setting up Install Process Resolving Dependencies –> […]

Continue Reading »
Pages:1234567...13»